# Update Store

## OpenAPI Specification

```yaml
openapi: 3.0.1
info:
  title: ''
  description: ''
  version: 1.0.0
paths:
  /v3/{loyalty_club_slug}/stores/{id}:
    put:
      summary: Update Store
      deprecated: false
      description: "Update store\n\n## URL Parameters\n\nParameter  | Description | Type\n---------- | ----------- | ------\nid         | ID          | integer\n\n## Body Parameters\n\nParameter     | Description            | Type\n------------- | ---------------------- | ------\nname*         | store name             | string\ndepartment_id | department/mall id     | string\ncategories    | categories             | array\nzones         | zones                  | array\nfloor         | foor                   | string\nlocation      | location               | string\narea          | area                   | int\nopening_hours | opening hours          | array of day objects\ndescription   | description            | string\nphone         | contact phone          | string\nexternal_url  | website                | string\ntenant_categories   | tenant categories            | array\nopening_hours_inherited | use opening hours from property | bool\n\nDay object for opening hours\n\nParameter     | Description            | Type\n------------- | ---------------------- | ------\nname*         | day of the week        | string\nhours*        | opening hours          | string\n\nParameters with `*` are required\n\n### Feedback statuses\n\nStatus | Description\n------ | ----\nok     | Store updated\nStore with this id does not exist. |\n\n## Error Responses\n\nStatus | Description\n--------- | ----------- \n`422` | Invalid parameters (see example on the right)\n\n## Example\n\n```shell\ncurl -X PUT \\\n\"https://api.mpc.placewise.com/v3/:loyalty_club_slug/stores/12345\" \\\n    -H 'content-type: application/json' \\\n    -H 'x-client-authorization: B7t9U9tsoWsGhrv2ouUoSqpM' \\\n    -H 'x-product-name: default' \\\n    -H 'x-user-agent: CURL manual test'\n    -d \\\n    '{\n        \"name\": \"store name\",\n        \"department_id\": 12345,\n        \"categories\": [\n            \"category\"\n        ],\n        \"floor\": \"2nd Floor\",\n        \"location\": \"12a\",\n        \"area\": 50,\n        \"zones\": [\n            \"zone\"\n        ],\n        \"opening_hours\": [\n\t\t\t{\n\t\t\t    \"name\":\"monday\",\n\t\t\t    \"hours\":\"10:00-20:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"tuesday\",\n\t\t\t    \"hours\":\"10:00-20:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"wednesday\",\n\t\t\t    \"hours\":\"10:00-20:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"thursday\",\n\t\t\t    \"hours\":\"10:00-20:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"friday\",\n\t\t\t    \"hours\":\"10:00-20:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"saturday\",\n\t\t\t    \"hours\":\"10:00-18:00\"\n\t\t\t},\n\t\t\t{\n\t\t\t    \"name\":\"sunday\",\n\t\t\t    \"hours\":\"closed\"\n\t\t\t}\n        \t],\n        \"description\": \"Description\",\n        \"tenant_categories\": [\"Category1\", \"Category2\"],\n    }'\n```\n\nWhen successful, returns a feedback object structured like this:\n\n```json\n{\n    \"id\": 12345,\n    \"store_id\": \"6789\",\n    \"status\": \"ok\"\n}\n```  \n\nWhen request is invalid (422), returns:\n\n```json\n{\n    \"error\": \"Invalid format\",\n    \"details\": {\n        \"name\": \"The property {property} is required\"\n    }\n}\n``` \n\nWhen `id` or `store_id` is invalid (422), returns:\n\n```json\n{\n    \"error\": \"Store not found\"\n}\n```"
      tags:
        - API Reference/Management API/Stores/V3 API/Stores
      parameters:
        - name: loyalty_club_slug
          in: path
          description: ''
          required: true
          example: infinity-mall
          schema:
            type: string
        - name: id
          in: path
          description: ''
          required: true
          example: 1
          schema:
            type: integer
        - name: Content-Type
          in: header
          description: '[Details](doc-341635)'
          required: true
          example: application/json
          schema:
            type: string
            default: application/json
            const: application/json
        - name: X-User-Agent
          in: header
          description: Arbitrary identifier of your client. [Details](doc-341635)
          required: true
          example: '{{X_USER_AGENT}}'
          schema:
            type: string
            default: '{{X_USER_AGENT}}'
        - name: X-Product-Name
          in: header
          description: API Product for API context. [Details](doc-341635)
          required: true
          example: '{{PRODUCT_NAME}}'
          schema:
            type: string
            default: '{{PRODUCT_NAME}}'
        - name: X-Loyalty-Club-Slug
          in: header
          description: LoyaltyClub for API context. [Details](doc-342138)
          required: false
          example: '{{LOYALTY_CLUB_SLUG}}'
          schema:
            type: string
            default: '{{LOYALTY_CLUB_SLUG}}'
        - name: X-Customer
          in: header
          description: Customer for API context.  [Details](doc-342139)
          required: false
          example: '{{CUSTOMER_ID}}'
          schema:
            type: string
            default: '{{CUSTOMER_ID}}'
        - name: Authorization
          in: header
          description: '[Member](doc-342129) or [User](doc-342130) Authorization.'
          required: false
          example: Bearer {{_OAUTH_TOKEN}}
          schema:
            type: string
            default: Bearer {{_OAUTH_TOKEN}}
        - name: X-Client-Authorization
          in: header
          description: '[Token](doc-342128) Authorization.'
          example: '{{API_TOKEN}}'
          schema:
            type: string
            default: '{{API_TOKEN}}'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties: {}
          headers: {}
          x-apidog-name: Success
      security: []
      x-apidog-folder: API Reference/Management API/Stores/V3 API/Stores
      x-apidog-status: pending
      x-run-in-apidog: https://app.eu.apidog.com/web/project/346351/apis/api-3511073-run
components:
  schemas: {}
  securitySchemes: {}
servers:
  - url: https://api.mpc.dev.placewise.com
    description: Staging
security: []

```